<link rel="stylesheet" href="/gameboard/css/gameboard.css">

<div id="gameboard" class="section-profile">
    <div class="row">
        <div class="topleft duk-icon"><img onclick="removeSection('gameboard')" src="/gui/img/x.png"></div>
        <div class="bottomright duk-icon"><img onclick="toggleSidebar('gameboard-sidebar')" src="/gui/img/expand.png"></div>
        <div id="gameboard-sidebar" class="column section-border" style="flex:25%;text-align:left;padding:15px;">
             <h1 style="font-size:50px;margin-top:0;">GameBoard</h1>
             <h2 style="margin-top:-35px">red vs. blue exercises</h2>
             <p>
                 Monitor red-and-blue team operations during an exercise to see if blue can detect, respond and
                 shut down a red-team adversary.
             </p>
             <br>
             <select id="red-operations" onchange="refresh()">
                <option value="" disabled selected>Select a red operation</option>
                {% for op in red_ops %}
                    <option value="{{ op.id }}">{{ op.name }} - {{ op.start }}</option>
                {% endfor %}
             </select>
             <p id="red-status" class="status" style="display: None"></p>
            <select id="blue-operations" onchange="refresh()">
                <option value="" disabled selected>Select a blue operation</option>
                {% for op in blue_ops %}
                    <option value="{{ op.id }}">{{ op.name }} - {{ op.start }}</option>
                {% endfor %}
             </select>
            <p id="blue-status" class="status" style="display: None"></p>
            <br>
            <button class="button-success button-atomic" onclick="refresh()">Refresh</button>
        </div>
        <div id="the-gameboard" class="column">
            <div class="gameboard-row scoreboard">
              <div class="gameboard-column">
                  <div class="scoreboard-points scoreboard-red">
                      <p id="gb-red-points">0</p>
                      <p style="font-size:12px;margin-top: -40px">points</p>
                  </div>
              </div>
              <div class="gameboard-column mid">
                  <h3>Process</h3>
              </div>
              <div class="gameboard-column">
                  <div class="scoreboard-points scoreboard-blue">
                      <p id="gb-blue-points">0</p>
                      <p style="font-size:12px;margin-top: -40px">points</p>
                  </div>
              </div>
            </div>
            <div id="exchanges" style="margin: 10px 0px;"></div>
        </div>
    </div>
</div>

<div id="exchange" class="gameboard-row" style="display:none;">
  <div class="gameboard-column red"></div>
  <div class="gameboard-column mid">
      <span class="gp-pid"></span>
      <span class="gp-host"></span>
  </div>
  <div class="gameboard-column blue"></div>
</div>
<div id="red-wrapper" class="gp-wrapper" style="display:none"></div>
<div id="blue-wrapper" class="gp-wrapper" style="display:none"></div>
<div id="red-piece" class="gameboard-column gp-red" style="display:none">
    <span class="golden-goose"><span></span></span>
    <span class="gp-ability"></span>
    <span class="gp-time"></span>
    <span class="gp-agent"></span>
</div>
<div id="blue-piece" class="gameboard-column gp-blue" style="display:none">
    <span class="golden-goose"><span></span></span>
    <span class="gp-ability"></span>
    <span class="gp-time"></span>
    <span class="gp-agent"></span>
</div>
<div id="cover-piece" class="gameboard-column gp-cover" style="display:none">
    <span class="gp-reveal">Click to Reveal</span>
</div>

<div id="piece-modal" class="modal">
    <form class="modal-content ability-viewer">
        <div class="imgcontainer">
          <span onclick="resetPieceModal();" class="close" title="Close Modal">&times;</span>
        </div>
        <div class="container" style="text-align:left">
            <p>Command Run</p>
            <code id="piece-cmd"></code>
            <hr>
            <p>New Facts Found</p>
            <div id="piece-fact-list">
                <pre id="default-fact" style="display: none"></pre>
            </div>
            <hr>
            <p>Suggested Queries</p>
            <div id="piece-queries">
                <pre id="default-query" style="display: none"></pre>
            </div>
        </div>
    </form>
</div>

<script src="/gameboard/js/gameboard.js"></script>